<?php

declare(strict_types=1);

namespace KupShop\KupShopBundle\DiscountFieldDefinition;

interface DiscountFieldDefinitionInterface
{
    /**
     * Returns discount field definition that loads percentage discount.
     */
    public function getField(): string;

    /**
     * Returns spec that is required for discount field (joins for example).
     */
    public function getSpec(): callable;
}
